var gadgetVer = 1.0;
var monthStr = new Array(12)
	monthStr[0]="January";
	monthStr[1]="February";
	monthStr[2]="March";
	monthStr[3]="April";
	monthStr[4]="May";
	monthStr[5]="June";
	monthStr[6]="July";
	monthStr[7]="August"
	monthStr[8]="September";
	monthStr[9]="October";
	monthStr[10]="November";
	monthStr[11]="December";

var firstN, lastN;

function onLoad() {
		System.Gadget.settingsUI = "settings.html";
		System.Gadget.onSettingsClosed = updateSettings;
		System.Gadget.onUndock = undocked;
		System.Gadget.onDock = docked;
		
		docked();
	
		if (loadSettings()) updateScreen();	
		window.setInterval(checkTime, (50*60000)); // Check Time every 50 minutes.
}


function updateScreen() {
		var str = firstN+" "+lastN;
		nameLabel.innerHTML= "<b>"+str+"</b>";
		var todayDate = new Date();
		today.innerHTML="("+ monthStr[todayDate.getMonth()].substr(0,3) +" "+todayDate.getDate() + ", " + todayDate.getFullYear()+")"
		getRSS();
}

function updateSettings() {
	firstN=System.Gadget.Settings.read("FIRSTNAME");
	lastN=System.Gadget.Settings.read("LASTNAME");

	saveSettingsToFile();
	updateScreen();
}

function loadSettings() {
		var fso, s, file;
		
		fso = new ActiveXObject("Scripting.FileSystemObject");
		file = System.Gadget.path+"\\settings.ini";
		try {
			s = fso.OpenTextFile(file, 1);
			firstN= s.ReadLine();
			lastN= s.ReadLine();
			s.Close();
			if (firstN=="" || lastN == "" || firstN == null || lastN == null) {
				text.innerHTML= "Error reading configuration file.<br> Please enter your name in the gadget settings.";
				dockedMsg.innerHTML = text.innerHTML;
				return 0; 
			}
		  } catch (error) {
				text.innerHTML= "Error reading configuration file.<br> Please enter your name in the gadget settings.";
				dockedMsg.innerHTML = text.innerHTML;
				return 0;
			}
		System.Gadget.Settings.write("FIRSTNAME", firstN);
		System.Gadget.Settings.write("LASTNAME", lastN);
		return 1;
}

function saveSettingsToFile() { // Writes the settings (DOB) to a file : %GADGET_DIR%\settings.ini
	var date;
	var fso, s, file;
	
	fso = new ActiveXObject("Scripting.FileSystemObject");
	file = System.Gadget.path+"\\settings.ini";
	try { // If file exists....
		s = fso.GetFile(file);
		s.Delete(); // Delete Current Settings;
	} catch(error) {
	  }
	s = fso.OpenTextFile(file , 8, true, -2);
	s.WriteLine (firstN);
	s.WriteLine (lastN);
	s.Close();
}

function checkTime() { // check for updates, update @ 0100 Israel Time
	var now = new Date();

	now.setHours(now.getHours()+2); // Israel Time
	if (now.getUTCHours()==1) updateScreen();
}


function docked() {
	styleUndocked.disabled = true;
	styleDocked.disabled = false;
	with (document.body.style) {
		width = 127;
		height = 193;
	}
	dockedMsg.style.visibility = "visible";
	nameLabel.style.visibility = "hidden";
	label.style.visibility = "hidden";
	text.style.visibility = "hidden";
	link1.style.visibility = "hidden";
	link2.style.visibility = "hidden";
	today.style.visibility = "hidden";
	System.Gadget.background = "url(images/docked.png)";
}

function undocked() {
		styleUndocked.disabled = false;
		styleDocked.disabled = true;
		with (document.body.style) {
			width = 321;
			height = 197;
		}
		nameLabel.style.visibility = "visible";
		text.style.visibility = "visible";
		link1.style.visibility = "visible";
		link2.style.visibility = "visible";
		today.style.visibility = "visible";
		label.style.visibility = "visible";
		dockedMsg.style.visibility = "hidden";
		System.Gadget.background = "url(images/undocked.png)";
}

function getRSS() {
		var feed;
		
		text.innerHTML = "Loading Your Daily Forecast...";	
		webAddress="http://www.b4u.com/rss/en_numero.php?f="+firstN+"&l="+lastN;
		try {
			var doc=new ActiveXObject("Microsoft.XMLDOM");
			doc.async=false;
			doc.load(webAddress);
			feed = doc.getElementsByTagName("description").item(2).firstChild.data;
		} catch(error) {
				feed = "Failed Loading Daily Forecast... Please Check Settings & Reload Gadget.";
		}
		text.innerHTML = feed;
		dockedMsg.innerHTML = feed;
}